Summary: Intel Ethernet Fabric Suite basic tools and libraries for fabric management
Name: eth-tools
Version: 11.5.0.0
Release: 3%{?dist}
License: BSD
Url: https://github.com/intel/eth-fast-fabric
Source: %{url}/archive/v%{version}/eth-fast-fabric-%{version}.tar.gz

ExclusiveArch: x86_64

%description
Intel Ethernet tools and Fast Fabric.

%package basic
Summary: Management level tools and scripts
BuildRequires: make gcc-c++
BuildRequires: expat-devel tcl-devel rdma-core-devel net-snmp-devel
BuildRequires: system-release
Requires: expect, tcl, libibverbs-utils, librdmacm-utils, net-snmp, net-snmp-utils
Requires: rdma bc

%description basic
This package provides basic tools for fabric management necessary on all compute nodes.

%package fastfabric
Summary: Management level tools and scripts
Requires: perl
Requires: eth-tools-basic >= %{version}-%{release}

%description fastfabric
This package provides tools for managing fabric on a management node.

%prep
%autosetup -n eth-fast-fabric-%{version} -p1
%if 0%{?_vendor:1} && "%{_vendor}" != "OpenCloudOS"
%define os_id %(eval echo $(sed -n -e 's/^ID=//p' /etc/os-release | tr -d '"'))
sed -i 's/opencloudos/%{os_id}/g' MakeTools/funcs-ext.sh
%endif

%build
cd OpenIb_Host
OPA_FEATURE_SET= CLOCAL='%build_cflags' CCLOCAL='%build_cxxflags' LDLOCAL='%build_ldflags' ./ff_build.sh %{_builddir}

%install
BUILDDIR=%{_builddir} DESTDIR=%{buildroot} LIBDIR=%{_prefix}/lib DSAP_LIBDIR=%{_libdir} ./OpenIb_Host/ff_install.sh

%files basic
%{_sbindir}/ethbw
%{_sbindir}/ethcapture
%{_sbindir}/ethshmcleanup
%{_prefix}/lib/eth-tools/setup_self_ssh
%{_prefix}/lib/eth-tools/usemem
%{_prefix}/lib/eth-tools/ethipcalc
%{_prefix}/lib/eth-tools/stream
%{_prefix}/lib/eth-tools/ethudstress
%{_datadir}/eth-tools/samples/dsa_setup
%{_datadir}/eth-tools/samples/dsa.service
%{_datadir}/eth-tools/samples/mgt_config.xml-sample
%dir %{_sysconfdir}/eth-tools/
%config(noreplace) %{_sysconfdir}/eth-tools/mgt_config.xml
%{_mandir}/man1/ethbw.1*
%{_mandir}/man1/ethcapture.1*
%{_mandir}/man1/ethshmcleanup.1*

%files fastfabric
%{_sbindir}/*
%{_prefix}/lib/eth-tools/*
%{_datadir}/eth-tools/*
%{_usrsrc}/eth/*
%{_sysconfdir}/eth-tools/ethmon.si.conf
%config(noreplace) %{_sysconfdir}/eth-tools/ethfastfabric.conf
%config(noreplace) %{_sysconfdir}/eth-tools/ethmon.conf
%config(noreplace) %{_sysconfdir}/eth-tools/allhosts
%config(noreplace) %{_sysconfdir}/eth-tools/hosts
%config(noreplace) %{_sysconfdir}/eth-tools/switches
%config(noreplace) /usr/lib/eth-tools/osid_wrapper
%{_mandir}/man8/eth*.8*
%exclude %{_prefix}/lib/eth-tools/setup_self_ssh
%exclude %{_prefix}/lib/eth-tools/usemem
%exclude %{_prefix}/lib/eth-tools/ethipcalc
%exclude %{_prefix}/lib/eth-tools/stream
%exclude %{_prefix}/lib/eth-tools/ethudstress
%exclude %{_sbindir}/ethbw
%exclude %{_sbindir}/ethcapture
%exclude %{_sbindir}/ethshmcleanup
%exclude %{_datadir}/eth-tools/samples/dsa_setup
%exclude %{_datadir}/eth-tools/samples/dsa.service
%exclude %{_datadir}/eth-tools/samples/mgt_config.xml-sample


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 11.5.0.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 03 2023 cunshunxia <cunshunxia@tencent.com> - 11.5.0.0-2
- Rebuilt for tcl 8.6.13

* Tue Jul 04 2023 kianli <kianli@tencent.com> - 11.5.0.0-1
- Upgrade to 11.5.0.0 and add other os id support

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 11.3.0.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 11.3.0.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Nov 24 2022 cunshunxia <cunshunxia@tencent.com> - 11.3.0.0-1
- initial build
